Register Account Endpoints
post
{baseUrl}/v1/register
Register generated wrapper endpoints for either the tokenized-deposit
contract or the account-with-ERC5982-UUPS contract. The supplied Postman collection
defines two POST /register variants; OpenAPI models them as a oneOf request
body.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Match One Schema
Show Source
-
object
TokenizedDepositRegistrationRequest
Additional Properties Allowed:
true -
object
AccountContractRegistrationRequest
Additional Properties Allowed:
true
Nested Schema : TokenizedDepositRegistrationRequest
Type:
objectAdditional Properties Allowed:
Show Source
true-
contractAddress: string
Example:
-
endpoints: array
endpoints
-
readConfigs: object
readConfigs
Additional Properties Allowed:
true -
writeConfigs: object
writeConfigs
Additional Properties Allowed:
true
Nested Schema : AccountContractRegistrationRequest
Type:
objectAdditional Properties Allowed:
Show Source
true-
combinedApis: array
combinedApis
-
contractAddress: string
Example:
-
endpoints: array
endpoints
-
readConfigs: object
readConfigs
Additional Properties Allowed:
true -
writeConfigs: object
writeConfigs
Additional Properties Allowed:
true
Nested Schema : endpoints
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Example:
[
{
"path":"allowance",
"httpMethod":"GET",
"contractMethod":{
"name":"allowance",
"signature":"allowance(address,address)"
},
"args":[
"owner",
"spender"
],
"generatePostmanApi":true
},
{
"path":"approve",
"httpMethod":"POST",
"contractMethod":{
"name":"approve",
"signature":"approve(address,uint256)"
},
"args":[
"spender",
"value"
],
"generatePostmanApi":true
},
{
"path":"approveBurn",
"httpMethod":"POST",
"contractMethod":{
"name":"approveBurn",
"signature":"approveBurn(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"approveMint",
"httpMethod":"POST",
"contractMethod":{
"name":"approveMint",
"signature":"approveMint(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"approveTransaction",
"httpMethod":"POST",
"contractMethod":{
"name":"approveTransaction",
"signature":"approveTransaction(string,uint256)"
},
"args":[
"opId",
"amount"
],
"generatePostmanApi":true
},
{
"path":"balanceOf",
"httpMethod":"GET",
"contractMethod":{
"name":"balanceOf",
"signature":"balanceOf(address)"
},
"args":[
"account"
],
"generatePostmanApi":true
},
{
"path":"batchTransfer",
"httpMethod":"POST",
"contractMethod":{
"name":"batchTransfer",
"signature":"batchTransfer(address[],uint256[])"
},
"args":[
"toList",
"amounts"
],
"generatePostmanApi":true
},
{
"path":"burnFrom",
"httpMethod":"POST",
"contractMethod":{
"name":"burnFrom",
"signature":"burnFrom(address,uint256)"
},
"args":[
"account",
"value"
],
"generatePostmanApi":true
},
{
"path":"cap",
"httpMethod":"GET",
"contractMethod":{
"name":"cap",
"signature":"cap()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"createOrupdateAccountPolicy",
"httpMethod":"POST",
"contractMethod":{
"name":"createOrupdateAccountPolicy",
"signature":"createOrupdateAccountPolicy((bool,bool,bool,uint8,string,address))"
},
"args":[
"accountPolicyCheck"
],
"argDefinitions":{
"accountPolicyCheck":{
"kind":"tuple",
"fields":[
{
"name":"kycCompliance"
},
{
"name":"amlCompliance"
},
{
"name":"restrictionFlag"
},
{
"name":"riskScore"
},
{
"name":"accountPolicyId"
},
{
"name":"userAddress"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"createOrupdateApprovalPolicy",
"httpMethod":"POST",
"contractMethod":{
"name":"createOrupdateApprovalPolicy",
"signature":"createOrupdateApprovalPolicy((string,uint256,uint256,uint256,uint8,(address,uint8)[],uint8))"
},
"args":[
"approvalPolicyCheck"
],
"argDefinitions":{
"approvalPolicyCheck":{
"kind":"tuple",
"fields":[
{
"name":"approvalPolicyId"
},
{
"name":"version"
},
{
"name":"transactionLowerLimit"
},
{
"name":"transactionUpperLimit"
},
{
"name":"numberaOfApprovalsRequired"
},
{
"name":"approverDetails",
"kind":"array",
"items":{
"kind":"tuple",
"fields":[
{
"name":"userAddress"
},
{
"name":"approvalSequence"
}
]
}
},
{
"name":"status"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"decimals",
"httpMethod":"GET",
"contractMethod":{
"name":"decimals",
"signature":"decimals()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"deleteAccountPolicy",
"httpMethod":"POST",
"contractMethod":{
"name":"deleteAccountPolicy",
"signature":"deleteAccountPolicy(string)"
},
"args":[
"accountPolicyId"
],
"generatePostmanApi":true
},
{
"path":"deleteApprovalPolicy",
"httpMethod":"POST",
"contractMethod":{
"name":"deleteApprovalPolicy",
"signature":"deleteApprovalPolicy(string)"
},
"args":[
"approvalPolicyId"
],
"generatePostmanApi":true
},
{
"path":"executeHold",
"httpMethod":"POST",
"contractMethod":{
"name":"executeHold",
"signature":"executeHold(string,uint256)"
},
"args":[
"opId",
"amount"
],
"generatePostmanApi":true
},
{
"path":"getAccountOnHoldBalance",
"httpMethod":"GET",
"contractMethod":{
"name":"getAccountOnHoldBalance",
"signature":"getAccountOnHoldBalance(address)"
},
"args":[
"account"
],
"generatePostmanApi":true
},
{
"path":"getAccountPolicyById",
"httpMethod":"GET",
"contractMethod":{
"name":"getAccountPolicyById",
"signature":"getAccountPolicyById(string)"
},
"args":[
"accountPolicyId"
],
"generatePostmanApi":true
},
{
"path":"getAccountPolicyIdForAddress",
"httpMethod":"GET",
"contractMethod":{
"name":"getAccountPolicyIdForAddress",
"signature":"getAccountPolicyIdForAddress(address)"
},
"args":[
"account"
],
"generatePostmanApi":true
},
{
"path":"getApprovalPolicyById",
"httpMethod":"GET",
"contractMethod":{
"name":"getApprovalPolicyById",
"signature":"getApprovalPolicyById(string)"
},
"args":[
"approvalPolicyId"
],
"generatePostmanApi":true
},
{
"path":"getApprovalStatusByOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getApprovalStatusByOperationId",
"signature":"getApprovalStatusByOperationId(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"getApprovalTransactionsById",
"httpMethod":"GET",
"contractMethod":{
"name":"getApprovalTransactionsById",
"signature":"getApprovalTransactionsById(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"getGovernanceContext",
"httpMethod":"GET",
"contractMethod":{
"name":"getGovernanceContext",
"signature":"getGovernanceContext()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getOnHoldBalanceWithOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getOnHoldBalanceWithOperationId",
"signature":"getOnHoldBalanceWithOperationId(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"getOnHoldDetailsWithOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getOnHoldDetailsWithOperationId",
"signature":"getOnHoldDetailsWithOperationId(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"getToken",
"httpMethod":"GET",
"contractMethod":{
"name":"getToken",
"signature":"getToken()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getTokenContext",
"httpMethod":"GET",
"contractMethod":{
"name":"getTokenContext",
"signature":"getTokenContext()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getTransferRestriction",
"httpMethod":"GET",
"contractMethod":{
"name":"getTransferRestriction",
"signature":"getTransferRestriction()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"hold",
"httpMethod":"POST",
"contractMethod":{
"name":"hold",
"signature":"hold(address,address,uint256,uint256,string,string,(string,string))"
},
"args":[
"to",
"notary",
"amount",
"expiration",
"opId",
"holdType",
"info"
],
"argDefinitions":{
"info":{
"kind":"tuple",
"fields":[
{
"name":"category"
},
{
"name":"description"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"holdFrom",
"httpMethod":"POST",
"contractMethod":{
"name":"holdFrom",
"signature":"holdFrom(address,address,address,uint256,uint256,string,string,(string,string))"
},
"args":[
"fromAccount",
"to",
"notary",
"amount",
"expiration",
"opId",
"holdType",
"info"
],
"argDefinitions":{
"info":{
"kind":"tuple",
"fields":[
{
"name":"category"
},
{
"name":"description"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"initializeDepositToken",
"httpMethod":"POST",
"contractMethod":{
"name":"initializeDepositToken",
"signature":"initializeDepositToken((string,string,string,string,string,string,string[],uint8,(uint256,bool),(bool)),string,uint256)"
},
"args":[
"token",
"currency",
"conversionRate"
],
"argDefinitions":{
"token":{
"kind":"tuple",
"fields":[
{
"name":"tokenId"
},
{
"name":"tokenName"
},
{
"name":"tokenDesc"
},
{
"name":"tokenStandard"
},
{
"name":"tokenType"
},
{
"name":"tokenUnit"
},
{
"name":"behaviors",
"kind":"array",
"items":{
"kind":"scalar"
}
},
{
"name":"decimals"
},
{
"name":"mintable",
"kind":"tuple",
"fields":[
{
"name":"maxMintQuantity"
},
{
"name":"mintApprovalRequired"
}
]
},
{
"name":"burnable",
"kind":"tuple",
"fields":[
{
"name":"burnApprovalRequired"
}
]
}
]
}
},
"generatePostmanApi":true
},
{
"path":"isDeploymentActive",
"httpMethod":"GET",
"contractMethod":{
"name":"isDeploymentActive",
"signature":"isDeploymentActive()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"name",
"httpMethod":"GET",
"contractMethod":{
"name":"name",
"signature":"name()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"pause",
"httpMethod":"POST",
"contractMethod":{
"name":"pause",
"signature":"pause()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"paused",
"httpMethod":"GET",
"contractMethod":{
"name":"paused",
"signature":"paused()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"rejectBurn",
"httpMethod":"POST",
"contractMethod":{
"name":"rejectBurn",
"signature":"rejectBurn(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"rejectMint",
"httpMethod":"POST",
"contractMethod":{
"name":"rejectMint",
"signature":"rejectMint(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"rejectTransaction",
"httpMethod":"POST",
"contractMethod":{
"name":"rejectTransaction",
"signature":"rejectTransaction(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"releaseHold",
"httpMethod":"POST",
"contractMethod":{
"name":"releaseHold",
"signature":"releaseHold(string)"
},
"args":[
"opId"
],
"generatePostmanApi":true
},
{
"path":"requestBurn",
"httpMethod":"POST",
"contractMethod":{
"name":"requestBurn",
"signature":"requestBurn(address,uint256,uint256,string,(string,string))"
},
"args":[
"notary",
"amount",
"expiration",
"opId",
"info"
],
"argDefinitions":{
"info":{
"kind":"tuple",
"fields":[
{
"name":"category"
},
{
"name":"description"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"requestMint",
"httpMethod":"POST",
"contractMethod":{
"name":"requestMint",
"signature":"requestMint(address,uint256,uint256,string,(string,string))"
},
"args":[
"notary",
"amount",
"expiration",
"opId",
"info"
],
"argDefinitions":{
"info":{
"kind":"tuple",
"fields":[
{
"name":"category"
},
{
"name":"description"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"setGovernanceContext",
"httpMethod":"POST",
"contractMethod":{
"name":"setGovernanceContext",
"signature":"setGovernanceContext(string,address)"
},
"args":[
"uuid",
"governance"
],
"generatePostmanApi":true
},
{
"path":"setOrupdateTransferRestriction",
"httpMethod":"POST",
"contractMethod":{
"name":"setOrupdateTransferRestriction",
"signature":"setOrupdateTransferRestriction(uint256,uint256)"
},
"args":[
"transactionLowerLimit",
"transactionUpperLimit"
],
"generatePostmanApi":true
},
{
"path":"setTokenContext",
"httpMethod":"POST",
"contractMethod":{
"name":"setTokenContext",
"signature":"setTokenContext(address,address)"
},
"args":[
"identityGateway",
"policyGateway"
],
"generatePostmanApi":true
},
{
"path":"symbol",
"httpMethod":"GET",
"contractMethod":{
"name":"symbol",
"signature":"symbol()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"totalSupply",
"httpMethod":"GET",
"contractMethod":{
"name":"totalSupply",
"signature":"totalSupply()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"transfer",
"httpMethod":"POST",
"contractMethod":{
"name":"transfer",
"signature":"transfer(address,uint256)"
},
"args":[
"to",
"value"
],
"generatePostmanApi":true
},
{
"path":"transferFrom",
"httpMethod":"POST",
"contractMethod":{
"name":"transferFrom",
"signature":"transferFrom(address,address,uint256)"
},
"args":[
"from",
"to",
"value"
],
"generatePostmanApi":true
},
{
"path":"unpause",
"httpMethod":"POST",
"contractMethod":{
"name":"unpause",
"signature":"unpause()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"updateNotary",
"httpMethod":"POST",
"contractMethod":{
"name":"updateNotary",
"signature":"updateNotary(string,address)"
},
"args":[
"opId",
"newNotary"
],
"generatePostmanApi":true
},
{
"path":"version",
"httpMethod":"GET",
"contractMethod":{
"name":"version",
"signature":"version()"
},
"args":[
],
"generatePostmanApi":true
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllActiveDepositTokenAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllActiveDepositTokenAccounts",
"signature":"getAllActiveDepositTokenAccounts(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllDepositTokenAccountTransactionHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllDepositTokenAccountTransactionHistory",
"signature":"getAllDepositTokenAccountTransactionHistory(string,string,string,string,string)"
},
"args":[
"bookmark",
"endTime",
"pageSize",
"startTime",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllDepositTokenAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllDepositTokenAccounts",
"signature":"getAllDepositTokenAccounts(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllDepositTokenOrganizations",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllDepositTokenOrganizations",
"signature":"getAllDepositTokenOrganizations(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllSuspendedDepositTokenAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllSuspendedDepositTokenAccounts",
"signature":"getAllSuspendedDepositTokenAccounts(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountHistory",
"signature":"getDepositTokenAccountHistory(string,string,string)"
},
"args":[
"account_address",
"limit",
"offset"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountPolicies",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountPolicies",
"signature":"getDepositTokenAccountPolicies(string,string,string,string)"
},
"args":[
"account_address",
"account_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountPolicyHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountPolicyHistory",
"signature":"getDepositTokenAccountPolicyHistory(string,string,string,string)"
},
"args":[
"account_address",
"account_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountStatus",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountStatus",
"signature":"getDepositTokenAccountStatus(string,string,string)"
},
"args":[
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountStatusHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountStatusHistory",
"signature":"getDepositTokenAccountStatusHistory(string,string,string)"
},
"args":[
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountTransactionHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountTransactionHistory",
"signature":"getDepositTokenAccountTransactionHistory(string,string,string,string,string,string,string)"
},
"args":[
"bookmark",
"endTime",
"org_id",
"pageSize",
"startTime",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountsByRole",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountsByRole",
"signature":"getDepositTokenAccountsByRole(string)"
},
"args":[
"role"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountsByUser",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountsByUser",
"signature":"getDepositTokenAccountsByUser(string,string,string)"
},
"args":[
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalPolicies",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalPolicies",
"signature":"getDepositTokenApprovalPolicies(string,string,string)"
},
"args":[
"approval_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalPolicyHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalPolicyHistory",
"signature":"getDepositTokenApprovalPolicyHistory(string,string,string)"
},
"args":[
"approval_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalStatusByOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalStatusByOperationId",
"signature":"getDepositTokenApprovalStatusByOperationId(string,string)"
},
"args":[
"operation_id",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalsByApprover",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalsByApprover",
"signature":"getDepositTokenApprovalsByApprover(string,string,string,string)"
},
"args":[
"approver_address",
"bookmark",
"operation_id",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalsByOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalsByOperationId",
"signature":"getDepositTokenApprovalsByOperationId(string,string,string)"
},
"args":[
"bookmark",
"operation_id",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApproverActionHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApproverActionHistory",
"signature":"getDepositTokenApproverActionHistory(string,string)"
},
"args":[
"caller_account_id",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenHistory",
"signature":"getDepositTokenHistory(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenMetadata",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenMetadata",
"signature":"getDepositTokenMetadata(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenOrganizationAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenOrganizationAccounts",
"signature":"getDepositTokenOrganizationAccounts(string)"
},
"args":[
"org_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenOrganizationAccountsByRole",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenOrganizationAccountsByRole",
"signature":"getDepositTokenOrganizationAccountsByRole(string,string)"
},
"args":[
"org_id",
"role"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenRetiredQuantity",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenRetiredQuantity",
"signature":"getDepositTokenRetiredQuantity(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenRolesByAccount",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenRolesByAccount",
"signature":"getDepositTokenRolesByAccount(string,string,string,string)"
},
"args":[
"account_address",
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenTransactionById",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenTransactionById",
"signature":"getDepositTokenTransactionById(string,string)"
},
"args":[
"token_id",
"transaction_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenUsersByRole",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenUsersByRole",
"signature":"getDepositTokenUsersByRole(string)"
},
"args":[
"role"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingDepositTokenApprovalOperations",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingDepositTokenApprovalOperations",
"signature":"getPendingDepositTokenApprovalOperations(string,string,string,string)"
},
"args":[
"bookmark",
"operation_id",
"pageSize",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingDepositTokenIssuance",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingDepositTokenIssuance",
"signature":"getPendingDepositTokenIssuance(string,string)"
},
"args":[
"caller_account_id",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingDepositTokenRequest",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingDepositTokenRequest",
"signature":"getPendingDepositTokenRequest(string,string)"
},
"args":[
"request_type",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingRequest",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingRequest",
"signature":"getPendingRequest(string,string)"
},
"args":[
"request_type",
"token_id"
]
}
]Nested Schema : readConfigs
Type:
objectAdditional Properties Allowed:
Show Source
true-
blockTag: string
Example:
latest -
decode: object
decode
Additional Properties Allowed:
true
Nested Schema : writeConfigs
Type:
objectAdditional Properties Allowed:
Show Source
true-
decode: object
decode
Additional Properties Allowed:
true -
gasLimit: integer
Example:
2500000 -
receiptMaxTries: integer
Example:
60 -
receiptWaitMs: integer
Example:
1000 -
type: integer
Example:
2 -
waitForReceipt: boolean
Example:
true
Nested Schema : items
Type:
objectAdditional Properties Allowed:
Show Source
true-
args: array
args
-
contractMethod: object
contractMethod
Additional Properties Allowed:
true -
generatePostmanApi: boolean
Example:
true -
httpMethod: string
Example:
GET -
path: string
Example:
allowance
Nested Schema : args
Type:
Show Source
array-
Array of:
string
Example:
owner
Example:
[
"owner",
"spender"
]Nested Schema : contractMethod
Type:
objectAdditional Properties Allowed:
Show Source
true-
name: string
Example:
allowance -
signature: string
Example:
allowance(address,address)
Nested Schema : decode
Type:
objectAdditional Properties Allowed:
Show Source
true-
errors: boolean
Example:
true -
outputs: boolean
Example:
true
Nested Schema : decode
Type:
objectAdditional Properties Allowed:
Show Source
true-
errors: boolean
Example:
true -
events: boolean
Example:
true -
inputs: boolean
Example:
true
Nested Schema : combinedApis
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Example:
[
{
"name":"createAccountWithRole",
"path":"createAccountWithRole",
"httpMethod":"POST",
"inputs":{
"required":[
"account",
"applicationGroups",
"maxDailyAmount",
"maxDailyTransactions",
"orgId",
"role",
"userAddress",
"userId"
]
},
"steps":[
{
"method":"createAccount",
"args":[
"userId",
"orgId",
"userAddress",
"maxDailyAmount",
"maxDailyTransactions",
"applicationGroups"
]
},
{
"method":"addRole",
"args":[
"account",
"role"
]
}
],
"mappings":{
"createAccount":{
"userId":"request.userId",
"orgId":"request.orgId",
"userAddress":"request.userAddress",
"maxDailyAmount":"request.maxDailyAmount",
"maxDailyTransactions":"request.maxDailyTransactions",
"applicationGroups":"request.applicationGroups"
},
"addRole":{
"account":"request.account",
"role":"request.role"
}
}
}
]Nested Schema : endpoints
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Example:
[
{
"path":"activateAccount",
"httpMethod":"POST",
"contractMethod":{
"name":"activateAccount",
"signature":"activateAccount(address)"
},
"args":[
"userAddress"
],
"generatePostmanApi":true
},
{
"path":"addOrgAdmin",
"httpMethod":"POST",
"contractMethod":{
"name":"addOrgAdmin",
"signature":"addOrgAdmin((string,string,address))"
},
"args":[
"adminDetails"
],
"argDefinitions":{
"adminDetails":{
"kind":"tuple",
"fields":[
{
"name":"userId"
},
{
"name":"orgId"
},
{
"name":"accountAddress"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"addOrgAuditor",
"httpMethod":"POST",
"contractMethod":{
"name":"addOrgAuditor",
"signature":"addOrgAuditor((string,string,address))"
},
"args":[
"auditorDetails"
],
"argDefinitions":{
"auditorDetails":{
"kind":"tuple",
"fields":[
{
"name":"userId"
},
{
"name":"orgId"
},
{
"name":"accountAddress"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"addRole",
"httpMethod":"POST",
"contractMethod":{
"name":"addRole",
"signature":"addRole(address,string)"
},
"args":[
"account",
"role"
],
"generatePostmanApi":true
},
{
"path":"addTokenAdmin",
"httpMethod":"POST",
"contractMethod":{
"name":"addTokenAdmin",
"signature":"addTokenAdmin((string,string,address))"
},
"args":[
"adminDetails"
],
"argDefinitions":{
"adminDetails":{
"kind":"tuple",
"fields":[
{
"name":"userId"
},
{
"name":"orgId"
},
{
"name":"accountAddress"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"addTokenAuditor",
"httpMethod":"POST",
"contractMethod":{
"name":"addTokenAuditor",
"signature":"addTokenAuditor((string,string,address))"
},
"args":[
"auditorDetails"
],
"argDefinitions":{
"auditorDetails":{
"kind":"tuple",
"fields":[
{
"name":"userId"
},
{
"name":"orgId"
},
{
"name":"accountAddress"
}
]
}
},
"generatePostmanApi":true
},
{
"path":"createAccount",
"httpMethod":"POST",
"contractMethod":{
"name":"createAccount",
"signature":"createAccount(string,string,address,int256,int256,string[])"
},
"args":[
"userId",
"orgId",
"userAddress",
"maxDailyAmount",
"maxDailyTransactions",
"applicationGroups"
],
"generatePostmanApi":true
},
{
"path":"deleteAccount",
"httpMethod":"POST",
"contractMethod":{
"name":"deleteAccount",
"signature":"deleteAccount(address)"
},
"args":[
"userAddress"
],
"generatePostmanApi":true
},
{
"path":"getAccountByAddress",
"httpMethod":"GET",
"contractMethod":{
"name":"getAccountByAddress",
"signature":"getAccountByAddress(address)"
},
"args":[
"userAddress"
],
"generatePostmanApi":true
},
{
"path":"getAccountStatus",
"httpMethod":"GET",
"contractMethod":{
"name":"getAccountStatus",
"signature":"getAccountStatus(address)"
},
"args":[
"userAddress"
],
"generatePostmanApi":true
},
{
"path":"getAllAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllAccounts",
"signature":"getAllAccounts(uint256,uint256)"
},
"args":[
"offset",
"limit"
],
"generatePostmanApi":true
},
{
"path":"getAllOrgAdmins",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllOrgAdmins",
"signature":"getAllOrgAdmins()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getAllOrgAuditors",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllOrgAuditors",
"signature":"getAllOrgAuditors()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getAllTokenAdmins",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllTokenAdmins",
"signature":"getAllTokenAdmins()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getAllTokenAuditors",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllTokenAuditors",
"signature":"getAllTokenAuditors()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getContext",
"httpMethod":"GET",
"contractMethod":{
"name":"getContext",
"signature":"getContext()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getGovernanceContext",
"httpMethod":"GET",
"contractMethod":{
"name":"getGovernanceContext",
"signature":"getGovernanceContext()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"getGroupId",
"httpMethod":"GET",
"contractMethod":{
"name":"getGroupId",
"signature":"getGroupId(address)"
},
"args":[
"account"
],
"generatePostmanApi":true
},
{
"path":"getIdentity",
"httpMethod":"GET",
"contractMethod":{
"name":"getIdentity",
"signature":"getIdentity(address)"
},
"args":[
"account"
],
"generatePostmanApi":true
},
{
"path":"isActive",
"httpMethod":"GET",
"contractMethod":{
"name":"isActive",
"signature":"isActive(address)"
},
"args":[
"account"
],
"generatePostmanApi":true
},
{
"path":"isDeploymentActive",
"httpMethod":"GET",
"contractMethod":{
"name":"isDeploymentActive",
"signature":"isDeploymentActive()"
},
"args":[
],
"generatePostmanApi":true
},
{
"path":"isInRole",
"httpMethod":"GET",
"contractMethod":{
"name":"isInRole",
"signature":"isInRole(string,address)"
},
"args":[
"role",
"account"
],
"generatePostmanApi":true
},
{
"path":"isOrgAdmin",
"httpMethod":"GET",
"contractMethod":{
"name":"isOrgAdmin",
"signature":"isOrgAdmin(address)"
},
"args":[
"adminAddress"
],
"generatePostmanApi":true
},
{
"path":"isOrgAuditor",
"httpMethod":"GET",
"contractMethod":{
"name":"isOrgAuditor",
"signature":"isOrgAuditor(address)"
},
"args":[
"auditorAddress"
],
"generatePostmanApi":true
},
{
"path":"isTokenAdmin",
"httpMethod":"GET",
"contractMethod":{
"name":"isTokenAdmin",
"signature":"isTokenAdmin(address)"
},
"args":[
"adminAddress"
],
"generatePostmanApi":true
},
{
"path":"isTokenAuditor",
"httpMethod":"GET",
"contractMethod":{
"name":"isTokenAuditor",
"signature":"isTokenAuditor(address)"
},
"args":[
"auditorAddress"
],
"generatePostmanApi":true
},
{
"path":"removeOrgAdmin",
"httpMethod":"POST",
"contractMethod":{
"name":"removeOrgAdmin",
"signature":"removeOrgAdmin(address)"
},
"args":[
"adminAddress"
],
"generatePostmanApi":true
},
{
"path":"removeOrgAuditor",
"httpMethod":"POST",
"contractMethod":{
"name":"removeOrgAuditor",
"signature":"removeOrgAuditor(address)"
},
"args":[
"auditorAddress"
],
"generatePostmanApi":true
},
{
"path":"removeRole",
"httpMethod":"POST",
"contractMethod":{
"name":"removeRole",
"signature":"removeRole(address,string)"
},
"args":[
"account",
"role"
],
"generatePostmanApi":true
},
{
"path":"removeTokenAdmin",
"httpMethod":"POST",
"contractMethod":{
"name":"removeTokenAdmin",
"signature":"removeTokenAdmin(address)"
},
"args":[
"adminAddress"
],
"generatePostmanApi":true
},
{
"path":"removeTokenAuditor",
"httpMethod":"POST",
"contractMethod":{
"name":"removeTokenAuditor",
"signature":"removeTokenAuditor(address)"
},
"args":[
"auditorAddress"
],
"generatePostmanApi":true
},
{
"path":"renounceNamedRole",
"httpMethod":"POST",
"contractMethod":{
"name":"renounceNamedRole",
"signature":"renounceNamedRole(address,string)"
},
"args":[
"account",
"role"
],
"generatePostmanApi":true
},
{
"path":"setContext",
"httpMethod":"POST",
"contractMethod":{
"name":"setContext",
"signature":"setContext(address)"
},
"args":[
"tokenAddress"
],
"generatePostmanApi":true
},
{
"path":"setGovernanceContext",
"httpMethod":"POST",
"contractMethod":{
"name":"setGovernanceContext",
"signature":"setGovernanceContext(string,address)"
},
"args":[
"uuid",
"governance"
],
"generatePostmanApi":true
},
{
"path":"setMaxDailyAmount",
"httpMethod":"POST",
"contractMethod":{
"name":"setMaxDailyAmount",
"signature":"setMaxDailyAmount(int256,address)"
},
"args":[
"value",
"account"
],
"generatePostmanApi":true
},
{
"path":"setMaxDailyTransactionCount",
"httpMethod":"POST",
"contractMethod":{
"name":"setMaxDailyTransactionCount",
"signature":"setMaxDailyTransactionCount(int256,address)"
},
"args":[
"count",
"account"
],
"generatePostmanApi":true
},
{
"path":"suspendAccount",
"httpMethod":"POST",
"contractMethod":{
"name":"suspendAccount",
"signature":"suspendAccount(address)"
},
"args":[
"userAddress"
],
"generatePostmanApi":true
},
{
"path":"version",
"httpMethod":"GET",
"contractMethod":{
"name":"version",
"signature":"version()"
},
"args":[
],
"generatePostmanApi":true
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllActiveDepositTokenAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllActiveDepositTokenAccounts",
"signature":"getAllActiveDepositTokenAccounts(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllDepositTokenAccountTransactionHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllDepositTokenAccountTransactionHistory",
"signature":"getAllDepositTokenAccountTransactionHistory(string,string,string,string,string)"
},
"args":[
"bookmark",
"endTime",
"pageSize",
"startTime",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllDepositTokenAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllDepositTokenAccounts",
"signature":"getAllDepositTokenAccounts(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllDepositTokenOrganizations",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllDepositTokenOrganizations",
"signature":"getAllDepositTokenOrganizations(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getAllSuspendedDepositTokenAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getAllSuspendedDepositTokenAccounts",
"signature":"getAllSuspendedDepositTokenAccounts(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountHistory",
"signature":"getDepositTokenAccountHistory(string,string,string)"
},
"args":[
"account_address",
"limit",
"offset"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountPolicies",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountPolicies",
"signature":"getDepositTokenAccountPolicies(string,string,string,string)"
},
"args":[
"account_address",
"account_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountPolicyHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountPolicyHistory",
"signature":"getDepositTokenAccountPolicyHistory(string,string,string,string)"
},
"args":[
"account_address",
"account_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountStatus",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountStatus",
"signature":"getDepositTokenAccountStatus(string,string,string)"
},
"args":[
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountStatusHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountStatusHistory",
"signature":"getDepositTokenAccountStatusHistory(string,string,string)"
},
"args":[
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountTransactionHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountTransactionHistory",
"signature":"getDepositTokenAccountTransactionHistory(string,string,string,string,string,string,string)"
},
"args":[
"bookmark",
"endTime",
"org_id",
"pageSize",
"startTime",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountsByRole",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountsByRole",
"signature":"getDepositTokenAccountsByRole(string)"
},
"args":[
"role"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenAccountsByUser",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenAccountsByUser",
"signature":"getDepositTokenAccountsByUser(string,string,string)"
},
"args":[
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalPolicies",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalPolicies",
"signature":"getDepositTokenApprovalPolicies(string,string,string)"
},
"args":[
"approval_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalPolicyHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalPolicyHistory",
"signature":"getDepositTokenApprovalPolicyHistory(string,string,string)"
},
"args":[
"approval_policy_id",
"bookmark",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalStatusByOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalStatusByOperationId",
"signature":"getDepositTokenApprovalStatusByOperationId(string,string)"
},
"args":[
"operation_id",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalsByApprover",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalsByApprover",
"signature":"getDepositTokenApprovalsByApprover(string,string,string,string)"
},
"args":[
"approver_address",
"bookmark",
"operation_id",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApprovalsByOperationId",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApprovalsByOperationId",
"signature":"getDepositTokenApprovalsByOperationId(string,string,string)"
},
"args":[
"bookmark",
"operation_id",
"pageSize"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenApproverActionHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenApproverActionHistory",
"signature":"getDepositTokenApproverActionHistory(string,string)"
},
"args":[
"caller_account_id",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenHistory",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenHistory",
"signature":"getDepositTokenHistory(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenMetadata",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenMetadata",
"signature":"getDepositTokenMetadata(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenOrganizationAccounts",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenOrganizationAccounts",
"signature":"getDepositTokenOrganizationAccounts(string)"
},
"args":[
"org_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenOrganizationAccountsByRole",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenOrganizationAccountsByRole",
"signature":"getDepositTokenOrganizationAccountsByRole(string,string)"
},
"args":[
"org_id",
"role"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenRetiredQuantity",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenRetiredQuantity",
"signature":"getDepositTokenRetiredQuantity(string)"
},
"args":[
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenRolesByAccount",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenRolesByAccount",
"signature":"getDepositTokenRolesByAccount(string,string,string,string)"
},
"args":[
"account_address",
"org_id",
"token_id",
"user_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenTransactionById",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenTransactionById",
"signature":"getDepositTokenTransactionById(string,string)"
},
"args":[
"token_id",
"transaction_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getDepositTokenUsersByRole",
"httpMethod":"GET",
"contractMethod":{
"name":"getDepositTokenUsersByRole",
"signature":"getDepositTokenUsersByRole(string)"
},
"args":[
"role"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingDepositTokenApprovalOperations",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingDepositTokenApprovalOperations",
"signature":"getPendingDepositTokenApprovalOperations(string,string,string,string)"
},
"args":[
"bookmark",
"operation_id",
"pageSize",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingDepositTokenIssuance",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingDepositTokenIssuance",
"signature":"getPendingDepositTokenIssuance(string,string)"
},
"args":[
"caller_account_id",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingDepositTokenRequest",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingDepositTokenRequest",
"signature":"getPendingDepositTokenRequest(string,string)"
},
"args":[
"request_type",
"token_id"
]
},
{
"backendOverrideOrds":"true",
"ordsBaseUrl":"{{ordsHost}}",
"path":"/{{ordsPathPrefix}}/getPendingRequest",
"httpMethod":"GET",
"contractMethod":{
"name":"getPendingRequest",
"signature":"getPendingRequest(string,string)"
},
"args":[
"request_type",
"token_id"
]
}
]Nested Schema : readConfigs
Type:
objectAdditional Properties Allowed:
Show Source
true-
blockTag: string
Example:
latest -
decode: object
decode
Additional Properties Allowed:
true
Nested Schema : writeConfigs
Type:
objectAdditional Properties Allowed:
Show Source
true-
decode: object
decode
Additional Properties Allowed:
true -
gasLimit: integer
Example:
2500000 -
receiptMaxTries: integer
Example:
60 -
receiptWaitMs: integer
Example:
1000 -
type: integer
Example:
2 -
waitForReceipt: boolean
Example:
true
Nested Schema : items
Type:
objectAdditional Properties Allowed:
Show Source
true-
httpMethod: string
Example:
POST -
inputs: object
inputs
Additional Properties Allowed:
true -
mappings: object
mappings
Additional Properties Allowed:
true -
name: string
Example:
createAccountWithRole -
path: string
Example:
createAccountWithRole -
steps: array
steps
Nested Schema : mappings
Type:
objectAdditional Properties Allowed:
Show Source
true-
addRole: object
addRole
Additional Properties Allowed:
true -
createAccount: object
createAccount
Additional Properties Allowed:
true
Nested Schema : steps
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Example:
[
{
"method":"createAccount",
"args":[
"userId",
"orgId",
"userAddress",
"maxDailyAmount",
"maxDailyTransactions",
"applicationGroups"
]
},
{
"method":"addRole",
"args":[
"account",
"role"
]
}
]Nested Schema : required
Type:
Show Source
array-
Array of:
string
Example:
account
Example:
[
"account",
"applicationGroups",
"maxDailyAmount",
"maxDailyTransactions",
"orgId",
"role",
"userAddress",
"userId"
]Nested Schema : addRole
Type:
objectAdditional Properties Allowed:
Show Source
true-
account: string
Example:
request.account -
role: string
Example:
request.role
Nested Schema : createAccount
Type:
objectAdditional Properties Allowed:
Show Source
true-
applicationGroups: string
Example:
request.applicationGroups -
maxDailyAmount: string
Example:
request.maxDailyAmount -
maxDailyTransactions: string
Example:
request.maxDailyTransactions -
orgId: string
Example:
request.orgId -
userAddress: string
Example:
request.userAddress -
userId: string
Example:
request.userId
Nested Schema : items
Type:
objectAdditional Properties Allowed:
Show Source
true-
args: array
args
-
method: string
Example:
createAccount
Nested Schema : args
Type:
Show Source
array-
Array of:
string
Example:
userId
Example:
[
"userId",
"orgId",
"userAddress",
"maxDailyAmount",
"maxDailyTransactions",
"applicationGroups"
]Nested Schema : items
Type:
objectAdditional Properties Allowed:
Show Source
true-
args: array
args
-
contractMethod: object
contractMethod
Additional Properties Allowed:
true -
generatePostmanApi: boolean
Example:
true -
httpMethod: string
Example:
POST -
path: string
Example:
activateAccount
Nested Schema : args
Type:
Show Source
array-
Array of:
string
Example:
userAddress
Example:
[
"userAddress"
]Nested Schema : contractMethod
Type:
objectAdditional Properties Allowed:
Show Source
true-
name: string
Example:
activateAccount -
signature: string
Example:
activateAccount(address)
Nested Schema : decode
Type:
objectAdditional Properties Allowed:
Show Source
true-
errors: boolean
Example:
true -
outputs: boolean
Example:
true
Nested Schema : decode
Type:
objectAdditional Properties Allowed:
Show Source
true-
errors: boolean
Example:
true -
events: boolean
Example:
true -
inputs: boolean
Example:
true
Examples
Security
-
OAuth2Password: oauth2
Type:
oauth2
Response
Supported Media Types
- application/json
200 Response
Contract template registered successfully.
Nested Schema : RegisteredSchema
Type:
Show Source
object-
combinedApis(required): array
combinedApis
-
contractAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
endpoints(required): array
endpoints
-
readConfigs(required): object
readConfigs
Additional Properties Allowed:
true -
writeConfigs(required): object
writeConfigs
Additional Properties Allowed:
true
Nested Schema : combinedApis
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Nested Schema : endpoints
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Nested Schema : readConfigs
Type:
objectAdditional Properties Allowed:
trueNested Schema : writeConfigs
Type:
objectAdditional Properties Allowed:
trueNested Schema : items
Type:
objectAdditional Properties Allowed:
trueNested Schema : items
Type:
objectAdditional Properties Allowed:
true400 Response
The wrapper rejected the request before it could complete a downstream call.
401 Response
A valid authorization header is required.
415 Response
Content-Type must be application/json.
502 Response
The wrapper could not complete the downstream call.